dcraw(1)

NAME
dcraw - convert raw digital photos to PPM format

SYNOPSIS
dcraw [OPTION]... [FILE]...

DESCRIPTION
dcraw converts raw digital photos to ppm(5) format.

OPTIONS

-v  Print verbose messages. The default is to print only warnings and errors.

-z  Change the access and modification times of a JPEG or raw file to when the photo was taken, assuming that the camera clock was set to Universal Time.

-i  Identify files but don't decode them. Exit status is 0 if dcraw can decode the last file, 1 if it can't.

    dcraw cannot decode JPEG files!!

-c  Write binary image data to standard output. By default, dcraw creates files with a ".ppm" extension.

-d  Show the raw data as a grayscale image with no interpolation. Good for photographing black-and-white documents.

-q [0-3]
    Set the interpolation quality (default is 3): 0 Bilinear (very fast, low quality)
    1 Reserved
    2 Variable Number of Gradients (VNG)
    3 Adaptive Homogeneity-Directed (AHD)

-h  Output a half-size image. Twice as fast as -q 0.

-f  Interpolate RGB as four colors. This blurs the image a little, but it eliminates false 2x2 mesh patterns.

-B sigma_domain sigma_range
    Use a bilateral filter to smooth noise while preserving edges. sigma_domain is in units of pixels, while sigma_range is in units of CIELab colorspace. Try -B 2 4 to start.

-a  Automatic color balance. The default is to use a fixed color balance based on a white card photographed in sunlight.

-w  Use the color balance specified by the camera. If this can't be found, dcraw prints a warning and reverts to the default.

-r red_mul -l blue_mul
    Further adjust the color balance by multiplying the red and blue output channels by these values. Both default to 1.0.

-b brightness
    Change the output brightness. Default is 1.0.

-k black
    Set the black point. Default depends on the camera.

-n  By default, dcraw clips all colors to prevent pink hues in the highlights. Combine this option with -b 0.25 to leave the image data completely unclipped.

-m  Write raw camera colors to the output file. By default, dcraw converts to sRGB colorspace.

-j  For Fuji Super CCD cameras, show the image tilted 45 degrees so that each output pixel corresponds to one raw pixel.

-s  For Fuji Super CCD SR cameras, use the secondary sensors, in effect underexposing the image by four stops to reveal detail in the highlights.

    For all other cameras, -j and -s are silently ignored.

-t [0-7]
    Flip the output image. The most common flips are 5 (90 degrees CCW) and 6 (90 degrees clockwise). By default, dcraw tries to use the flip specified by the camera. "-t 0" forces dcraw not to flip images.

-2  Write eight bits per color value with a 99th-percentile white point and the standard 0.45 gamma curve. Double the height if necessary to correct the aspect ratio. This is the default.

-4  Write sixteen bits per color value. Output is linear with input -- no white point, no gamma, same aspect ratio.

-3  Same image as -4, written in Adobe PhotoShop format. File extension is ".psd".

SEE ALSO
ppm(5), ppm2tiff(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), djpeg(1)

BUGS
The -w option does not work with many cameras.

No attempt is made to save camera settings or thumbnail images.

The author stubbornly refuses to add more output formats.

Don't expect dcraw to produce the same images as software provided by the camera vendor. Sometimes dcraw gives better results!

AUTHOR
Written by David Coffin, dcoffin a cybercom o net